Page MenuHomePhabricator

[mlir][linalg] Remove the StructuredOp capture mechanism.
ClosedPublic

Authored by gysit on Jun 23 2021, 7:57 AM.

Details

Summary

After https://reviews.llvm.org/D104109, structured ops support scalar inputs. As a result, the capture mechanism meant to pass non-shaped parameters got redundant. The patch removes the capture semantics after the FillOp migrated to use scalar operands https://reviews.llvm.org/D104121.

Diff Detail

Event Timeline

gysit created this revision.Jun 23 2021, 7:57 AM
gysit requested review of this revision.Jun 23 2021, 7:57 AM
pifon2a accepted this revision.Jun 24 2021, 6:04 AM
This revision is now accepted and ready to land.Jun 24 2021, 6:04 AM
This revision was landed with ongoing or failed builds.Jun 28 2021, 12:59 AM
This revision was automatically updated to reflect the committed changes.